# Prerequisites:
# # sudo apt-get install libmariadb-dev 
# # mariadb_config --libs
#
CFLAGS=-g -Wall -lm
DBFLAGS=-L/usr/lib/arm-linux-gnueabihf -lmariadb -I/usr/include/mariadb

fbdash: fbdash.c fblib.o fbfont.o fbdata.o
	gcc -o $@ fblib.o fbfont.o fbdata.o $< $(CFLAGS) $(DBFLAGS)

fblib.o: fblib.c fblib.h
	gcc -c fblib.c $(CFLAGS)

fbfont.o: fbfont.c fbfont.h
	gcc -c fbfont.c $(CFLAGS)

fbdata.o: fbdata.c fbdata.h
	gcc -c fbdata.c $(CFLAGS) $(DBFLAGS)

clean:
	rm -f fbdash fblib.o fbfont.o fbdata.o
